%global debug_package %{nil}
%global __python %{__python3}

%global commit 52d695cadae01ecbc6ba2755ad1fdfecc3a8e252
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:       atomic
Version:    1.0
Release:    1.git%{shortcommit}%{?dist}
Summary:    Tool for managing ProjectAtomic systems and containers
License:    LGPLv2+
URL:        https://github.com/projectatomic/atomic
ExclusiveArch:  x86_64
Source0:    https://github.com/projectatomic/%{name}/archive/%{commit}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-pylint
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  python3-tools
BuildRequires:  go-md2man
BuildRequires:  docker

Requires:   dbus
Requires:   docker
Requires:   polkit
Requires:   setup
Requires:   python3-requests
Requires:   python3-docker-py
Requires:   python3-websocket-client >= 0.11.0
Requires:   python3-six >= 1.3.0


%description
The goal of Atomic is to provide a high level, coherent entrypoint to the
system, and fill in gaps.

For Docker, atomic can make it easier to interact with special kinds of
containers, such as super-privileged debugging tools and the like.

The atomic host subcommand wraps rpm-ostree, currently just providing a
friendlier name, but in the future Atomic may provide more unified
management.

%prep
%setup -qn %{name}-%{commit}

%build
make PYTHON=%{__python3} PYLINT=python3-pylint all

%install
make PYTHON=%{__python3} PYLINT=python3-pylint install DESTDIR=%{buildroot}

%check
[ ! -w /run/docker.sock ] || make PYTHON=%{__python3} test

%files
%doc COPYING README.md
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.%{name}.conf
%{python3_sitelib}/Atomic
%{python3_sitelib}/%{name}*.egg-info
%{_sysconfdir}/profile.d/%{name}.sh
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/dbus-1/system-services/org.%{name}.service
%{_datadir}/polkit-1/actions/org.%{name}.policy
%{_mandir}/man1/%{name}*


%changelog
* Fri Jul 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0-1.git52d695c
- version 1.0 as per setup.py
- use latest upstream master commit
- run test only if docker.sock writable

* Tue Jul 14 2015 Miro Hrončok <mhroncok@redhat.com> - 0-0.12.gitfea1b99
- update to latest upstream master
- add new %%files and require dbus, polkit and setup to have the directories
- switch to Python 3
- disable build for arm (missing docker)
- Resolves: rhbz#1241947

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.gite5734c4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 15 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.10.gite5734c4
- update to latest upstream master

* Tue Mar 03 2015 Colin Walters <walters@redhat.com> - 0-0.9.gita7ff4cb
- Match ExclusiveArch with docker (there is no docker on i686)

* Mon Mar 02 2015 Colin Walters <walters@redhat.com> - 0-0.8.gita7ff4cb
- Drop ExclusiveArch, we are just a wrapper for Docker, which in any
  case builds on other architectures now.

* Tue Feb 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.7.gita7ff4cb
- remove pylint for rhel/centos

* Tue Feb 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.6.gita7ff4cb
- runtime requirement: python-docker-py

* Tue Feb 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.5.gita7ff4cb
- build commit#a7ff4cb

* Fri Feb 20 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.4.gitf7f6fa8
- Resolves: rhbz#1194058 - approved version, ready for upload
- change license to LGPLv2+

* Thu Feb 19 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.3.gite4081c9
- manpage installation rules upstreamed

* Wed Feb 18 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.2.git6b82cb7
- install docs

* Wed Feb 18 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.1.git6b82cb7
- Initial package
